Piloterr

PagesJaunes Search

Search PagesJaunes for French local businesses by category and location, returning paginated results with contact details and ratings.

Credit cost: 1 credit per call

GET
/v2/pagesjaunes/search

Authorization

ApiKeyAuth
x-api-key<token>

Your API key. Include it in the x-api-key header for every request.

In: header

Query Parameters

query*string

A valid PagesJaunes search URL.

Example:

https://www.pagesjaunes.fr/annuaire/chercherlespros?quoiqui=Dentiste&ou=Toulouse+(31000)&univers=pagesjaunes&idOu=

You can customize the search by changing the quoiqui (what/who) and ou (where) parameters in the URL.

Note: URL-encode the & as %26 when passing the full URL as a GET parameter value.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.piloterr.com/v2/pagesjaunes/search?query=string"
{
  "results": [
    {
      "id": "56824689",
      "url": "https://www.pagesjaunes.fr/pros/56824689",
      "name": "Agustin Mayo",
      "tags": [
        "détartrage dentaire",
        "radiologie dentaire",
        "sur rendez-vous",
        "blanchiment"
      ],
      "address": "13 place Lafourcade 31400 Toulouse",
      "activity": "Chirurgien-dentiste",
      "image_url": "https://www.pagesjaunes.fr/media/newdam/preset-thumbnail-lr-health/5c/33/7e/00/00/f0/04/18/50/c1/5d415c337e0000f0041850c1/5d415c337e0000f0041850c2.jpg"
    },
    {
      "id": "62118760",
      "url": "https://www.pagesjaunes.fr/pros/62118760",
      "name": "Association Centre de Santé Toulouse Bayard",
      "tags": [
        "soin bucco-dentaire",
        "chirurgie dentaire",
        "blanchiment dentaire"
      ],
      "address": "43 rue Bayard 31000 Toulouse",
      "activity": "Centre dentaire"
    },
    {
      "id": "54123915",
      "url": "https://www.pagesjaunes.fr/pros/54123915",
      "name": "Fabrice Chapsal",
      "tags": [
        "Conventionné"
      ],
      "rating": 5,
      "address": "Centre Medical Croix De Pierre 4 boulevard Deodat de Severac 31300 Toulouse",
      "activity": "Chirurgien-dentiste",
      "reviews_count": 1
    }
  ],
  "pagination": {
    "next": 2,
    "current": 1,
    "other_pages": [
      2,
      3,
      4,
      5,
      6,
      7,
      8,
      9,
      10
    ],
    "total_pages": 37,
    "has_next_page": true
  }
}
{
  "error": "Bad Request"
}
{
  "error": "Invalid API Key"
}
{
  "error": "Payment required"
}
{
  "error": "Rate limit exceeded for the API key: quota monthly"
}
{
  "error": "Internal Error"
}